cubes:
  - name: stock_point
    sql_table: inventory_v2.stock_point
    data_source: default

    joins: []

    dimensions:
      - name: id
        sql: id
        type: number
        primary_key: true

      - name: contactperson
        sql: "{CUBE}.`contactPerson`"
        type: string

      - name: contactphone
        sql: "{CUBE}.`contactPhone`"
        type: string

      - name: location
        sql: location
        type: string

      - name: name
        sql: name
        type: string

      - name: upstreamname
        sql: "{CUBE}.`upStreamName`"
        type: string

      - name: createdat
        sql: "{CUBE}.`createdAt`"
        type: time

      - name: updatedat
        sql: "{CUBE}.`updatedAt`"
        type: time

      - name: deletedat
        sql: "{CUBE}.`deletedAt`"
        type: time

    measures:
      - name: count
        type: count

    pre_aggregations:
      # Pre-aggregation definitions go here.
      # Learn more in the documentation: https://cube.dev/docs/caching/pre-aggregations/getting-started

